Subject: RADIUS Errata #753 (RFC 4282)

From: Bernard Aboba <[email-masked]>
Date: Tue, 8 Sep 2009 08:11:19 -0700

Anyone have an opinion on this one? As I recall, the use of 'FF' was intentional. 

Status: Reported

Type: Technical

Reported By: Frank Ellermann

Date Reported: 2006-08-14

Section 2.1 says:

   c           =/ %x80-FF ; UTF-8-Octet      allowed (not in RFC 2486)
                          ; Where UTF-8-octet is any octet in the
                          ; multi-octet UTF-8 representation of a
                          ; unicode codepoint above %x7F.
                          ; Note that c must also satisfy rules in
                          ; Section 2.4, including, for instance,
                          ; checking that no prohibited output is
                          ; used (see also Section 2.3 of
                          ; [RFC4013]).
   x           =  %x00-FF ; all 128 ASCII characters, no exception;
                          ; as well as all UTF-8-octets as defined
                          ; above (this was not allowed in
                          ; RFC 2486).  Note that x must nevertheless
                          ; again satisfy the Section 2.4 rules.

It should say:

[see below]

Notes:

Shouldn't that be s/FF/F4/ as in STD 63, or maybe s/FF/FD/ ?

 EMAILING FOR THE GREATER GOOD
Join me